MarinerWrtTextInternal::State Struct Reference

Internal: the state of a MarinerWrtText. More...

## Public Member Functions

| State ()
| constructor
Zone & | getZone (int id)
| return a reference to a textzone ( if zone not exists, created it )

## Public Attributes

int | m_version
| the file version
std::map< int, Zone > | m_textZoneMap
| a map id -> textZone
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MarinerWrtText.

## Constructor & Destructor Documentation

## State()

MarinerWrtTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getZone()

Zone & MarinerWrtTextInternal::State::getZone | ( | int | id | ) |

inline

return a reference to a textzone ( if zone not exists, created it )

## Member Data Documentation

## m_actualPage

int MarinerWrtTextInternal::State::m_actualPage

Referenced by State().

## m_numPages

int MarinerWrtTextInternal::State::m_numPages

Referenced by State().

## m_textZoneMap

std::map<int,Zone> MarinerWrtTextInternal::State::m_textZoneMap

a map id -> textZone

Referenced by getZone(), and State().

## m_version

int MarinerWrtTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx